<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransferBooking StructType
 * @subpackage Structs
 */
class TransferBooking extends AbstractStructBase
{
    /**
     * The TransferBookingRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_TransferBooking
     */
    public $TransferBookingRQ;
    /**
     * Constructor method for TransferBooking
     * @uses TransferBooking::setTransferBookingRQ()
     * @param \StructType\JP_TransferBooking $transferBookingRQ
     */
    public function __construct(\StructType\JP_TransferBooking $transferBookingRQ = null)
    {
        $this
            ->setTransferBookingRQ($transferBookingRQ);
    }
    /**
     * Get TransferBookingRQ value
     * @return \StructType\JP_TransferBooking|null
     */
    public function getTransferBookingRQ()
    {
        return $this->TransferBookingRQ;
    }
    /**
     * Set TransferBookingRQ value
     * @param \StructType\JP_TransferBooking $transferBookingRQ
     * @return \StructType\TransferBooking
     */
    public function setTransferBookingRQ(\StructType\JP_TransferBooking $transferBookingRQ = null)
    {
        $this->TransferBookingRQ = $transferBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TransferBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
